* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
  font-family: 'Open Sans', sans-serif;
}

body {
  width: 400px;
  height: 100vh;
  margin: 0 auto;
  padding: 0;
}


/*============img hero================*/

.main-hero {
  width: 100%;
  height: 150px;
  background-image: url(/assets/escritor.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0 0 20px 0;
}


/*============Section img user================*/
.main-img-user {
  text-align: center;
  margin-bottom: 50px;
}

.main-img-user img {
  border: #fff solid 4px;
  border-radius: 100%;
  width: 150px;
  margin-top: -100px;
  margin-bottom: 15px;
}

.main-img-user h1 {
  font-family: 'DM Serif Display', serif;
  font-size: 3rem;
  font-weight: 300;
  color: #8C1A7A;
  margin-bottom: 10px;
}

.main-img-user p {
  font-size: 1.4rem;
}


/*============Section contact Icons================*/
.main-contacts-icon {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: auto;
  gap: 20px;
}

.main-contacts-icon div {
  text-align: center;
  margin: 0 10px;
}

.contact-icon {
  cursor: grab;
  text-align: center;
}

 .main-contacts-icon a img {
  width: 60px;
  transition: transform 0.3s ease-in-out;
}

.main-contacts-icon div:hover img {
  transform: scale(1.2);
}

.main-contacts-icon a {
  text-decoration: none;
  color: #333;
  margin-top: 5px;

}

.main-contacts-icon a span {
  display: block;
  margin-top: 5px;
  font-size: 1.2rem;
} 

/*============Section Social Icons================*/

.main-social-icons {
  margin-top: 50px;
  height: auto;
  background-color: #f0f0ee;
  box-shadow: 0px -10px 20px -15px;
  padding: 30px;
  text-align: center;
}

.main-social-icons h2 {
  font-size: 2.4rem;
  margin-top: 10px;
  color: #8C1A7A;
}

.main-social-icons p {
  font-size: 1.6rem;
  margin-bottom: 20px;
  margin-bottom: 50px;
}



/*Estilos para cada icon social*/
.social-icons-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.social-icons-container .social-icon {
  flex: 0 0 calc(33.33% - 10px);
  margin-bottom: 10px;
  text-align: center;
}

.social-icons-container .social-icon img {
  width: 60px;
  object-fit: cover;
  margin-bottom: 30px;
}

.social-icon:hover img {
  transition: transform 0.3s ease-in-out;
  transform: scale(1.2);
}


/*============Estilos footer================*/

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70px;
  text-align: center;
  font-size: 1.2rem;
  margin-top: 50px;
  background: #e8e7e7;
  color: #979797;
}

/*============Animación================*/

.animated-element {
  opacity: 0;
  transform: translateY(30px); /* Empieza desde abajo */
  transition: opacity 0.5s ease, transform 0.5s ease;
}

/* Aplica la animación a los elementos cuando se desplieguen */
.animate {
  animation: appear 0.5s forwards;
}

@keyframes appear {
  to {
    opacity: 1;
    transform: translateY(0); /* Termina en su posición normal */
  }
}

/*============Responsive================*/


@media (min-width: 480px) {
  /* Estilos específicos para dispositivos móviles */
  body {
    width: 100%; /* Ancho completo para dispositivos móviles */
    max-width: 380px; /* Máximo ancho de 500px para dispositivos móviles */
    padding: 0; /* Agrega espaciado alrededor del contenido */
  }
}